This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 826483 - Review Request: emacs-identica-mode - Identica mode for emacs
Review Request: emacs-identica-mode - Identica mode for emacs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
: 532241 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 06:19 EDT by Shakthi Kannan
Modified: 2012-09-17 18:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-11 20:28:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Shakthi Kannan 2012-05-30 06:19:40 EDT
Spec URL: http://shakthimaan.fedorapeople.org/SPECS/emacs-identica-mode.spec
SRPM URL: shakthimaan.fedorapeople.org/SRPMS/emacs-identica-mode-1.2.1-1.fc16.src.rpm
Description: This package provides identica mode for emacs. Identi.ca is a free software microblogging service, similar to Twitter, based on the Laconi.ca code base.
Fedora Account System Username: shakthimaan
Comment 1 Shakthi Kannan 2012-05-30 06:21:50 EDT
$  rpmlint emacs-identica-mode.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$  rpmlint emacs-identica-mode-1.2.1-1.fc16.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$  rpmlint emacs-identica-mode-1.2.1-1.fc16.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$  rpmlint emacs-identica-mode-el-1.2.1-1.fc16.noarch.rpm 
emacs-identica-mode-el.noarch: W: spelling-error %description -l en_US elisp -> lisp, e lisp, Ellis
emacs-identica-mode-el.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Successful Koji builds for F16, F17, and F18 respectively:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4113919
http://koji.fedoraproject.org/koji/taskinfo?taskID=4113921
http://koji.fedoraproject.org/koji/taskinfo?taskID=4113922
Comment 2 Shakthi Kannan 2012-05-30 06:23:31 EDT
*** Bug 532241 has been marked as a duplicate of this bug. ***
Comment 3 Michel Alexandre Salim 2012-06-01 02:49:11 EDT
correct SRPM URL:
http://shakthimaan.fedorapeople.org/SRPMS/emacs-identica-mode-1.2.1-1.fc16.src.rpm
Comment 4 Michel Alexandre Salim 2012-08-16 11:06:52 EDT
Several issues (see items marked [!] below), none very severe though. Could you update the package and also package the optional two other *.el files? They seem to be usable according to the Git log


Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:
     emacs-identica-mode-el.noarch: W: spelling-error %description -l
     en_US elisp -> lisp, e lisp, Ellis
     emacs-identica-mode-el.noarch: W: no-documentation
     3 packages and 0 specfiles checked; 0 errors, 2 warnings.

     Warnings are reasonable

[x]  Package is named according to the Package Naming Guidelines[1].

[x]  Spec file name must match the base package name, in the format %{name}.spec.

[x]  Package meets the Packaging Guidelines[2].

[x]  Package successfully compiles and builds into binary rpms.

[x]  Buildroot definition is not present

[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].

[x]  License field in the package spec file matches the actual license.

[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.

[-]  All independent sub-packages have license of their own

[x]  Spec file is legible and written in American English.

[!]  Sources used to build the package matches the upstream source, as provided in the spec URL.
     Fails:

     8190b78f5d1f5e87b9a74044c663b37bdb739c4c39e4758c849c6eeb0faa29e6
     identica-mode-1.2.1.tar.bz2 <-- tried downloading twice

     9190c3daa1c0ac155f63d08248b07ff7b2c6def582c50831ec13bcac95948fd5
     srpm-unpacked/identica-mode-1.2.1.tar.bz2

     The files are actually identical but the ordering is different,
     somehow upstream must have changed the way the archives are
     regenerated. Odd but not that troublesome; just ignore this for
     now

[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
	Manual

[x]  Package must own all directories that it creates or must require other packages for directories it uses.

[x]  Package does not contain duplicates in %files.

[!]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason

[x]  Permissions on files are set properly.
	Semi-automatic - done by rpmlint	

[!]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
	Semi-automatic - print warning for EPEL

[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)

[x]  Package contains code, or permissable content.

[x]  Fully versioned dependency in subpackages, if present.

[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.

[x]  Package does not own files or directories owned by other packages.

[x]  Package uses %global not %define

[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)

[x]  All filenames in rpm packages must be valid UTF-8.
	Automatic - rpmlint

[x]  Latest version is packaged.
	Manual

[x]  Reviewer should test that the package builds in mock.



[1] https://fedoraproject.org/wiki/Packaging:NamingGuidelines
[2] https://fedoraproject.org/wiki/Packaging:Guidelines
[3] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines
[4] https://fedoraproject.org/wiki/Licensing:Main
[5] https://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
Comment 5 Shakthi Kannan 2012-08-16 12:25:14 EDT
I installed emacs-bbdb-2.35-5.fc15 on Fedora 16 (x86_64), but, it doesn't have bbdb-mua which is required by bbdb-identica.el. So, I am not packaging the two *.el files for now.

I have updated the latest tarball to use identica-mode-1.2.1.tar.gz sources.

[!]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason

  File sections already has the %defattr values.

[!]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
	Semi-automatic - print warning for EPEL

  I already have a %clean section that has rm -rf %{buildroot}. What warning is
  required for EPEL?

Updated SPEC: http://shakthimaan.fedorapeople.org/SPECS/emacs-identica-mode.spec
Updated SRPM: http://shakthimaan.fedorapeople.org/SRPMS/emacs-identica-mode-1.2.1-2.fc16.src.rpm
Comment 6 Michel Alexandre Salim 2012-09-02 00:44:24 EDT
You don't need rm -rf %{buildroo(In reply to comment #5)
> I installed emacs-bbdb-2.35-5.fc15 on Fedora 16 (x86_64), but, it doesn't
> have bbdb-mua which is required by bbdb-identica.el. So, I am not packaging
> the two *.el files for now.
> 
Ah, OK. Just turn it on at your own discretion when they are useful -- perhaps file a bug against emacs-bbdb to ask for bbdb-mua to be included?

> I have updated the latest tarball to use identica-mode-1.2.1.tar.gz sources.
> 
Thanks

> [!]  File sections do not contain %defattr(-,root,root,-) unless changed
> with good reason
> 
>   File sections already has the %defattr values.
> 
That's the point -- %defattr(-,root,root,-) is the default, so you don't need to explicitly mention it

> [!]  Package does NOT have a %clean section which contains rm -rf
> %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
> 	Semi-automatic - print warning for EPEL
> 
>   I already have a %clean section that has rm -rf %{buildroot}. What warning
> is
>   required for EPEL?
> 
The %clean section is fine. But at the beginning of %install, you don't need to also clean the buildroot, *unless* you're targeting RHEL 5.

These are minor issues though -- the defattr and cleaning buildroot in %install are just to tidy up the spec and removing redundant details. So you can do the fix-up when importing the package.

Sorry for the delay, I really haven't found enough time to work on Fedora recently :(

APPROVED
Comment 7 Shakthi Kannan 2012-09-02 01:51:26 EDT
Thanks for the review. I'll update the .spec file accordingly before import.

New Package SCM Request
=======================
Package Name: emacs-identica-mode
Short Description: Identica mode for Emacs
Owners: shakthimaan
Branches: f16 f17 f18
InitialCC: shakthimaan
Comment 8 Jon Ciesla 2012-09-02 20:08:43 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-09-03 03:12:30 EDT
emacs-identica-mode-1.2.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/emacs-identica-mode-1.2.1-3.fc16
Comment 10 Fedora Update System 2012-09-03 03:12:43 EDT
emacs-identica-mode-1.2.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/emacs-identica-mode-1.2.1-3.fc17
Comment 11 Fedora Update System 2012-09-03 03:12:54 EDT
emacs-identica-mode-1.2.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/emacs-identica-mode-1.2.1-3.fc18
Comment 12 Fedora Update System 2012-09-03 13:20:18 EDT
emacs-identica-mode-1.2.1-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 13 Fedora Update System 2012-09-11 20:28:06 EDT
emacs-identica-mode-1.2.1-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 14 Fedora Update System 2012-09-11 20:30:19 EDT
emacs-identica-mode-1.2.1-3.fc16 has been pushed to the Fedora 16 stable repository.
Comment 15 Fedora Update System 2012-09-17 18:18:15 EDT
emacs-identica-mode-1.2.1-3.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.